using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Humans
{
    public class Humans
    {
        public static void Main()
        {
        CategoryBuilder.Create("The Henry Stickmin Collection", "", ModAPI.LoadSprite("THSC.png"));

//Henry (BtB)
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Henry Stickmin (BtB)",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "He's short on cash so it's time to get some",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("HS1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("BtB.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                    }
                }
            );



//Henry (EtP)
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Henry Stickmin (EtP)",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "Arrested for the attempted burglary of The Bank, he now sits in Red Mesa Penitentiary",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("HS2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("HS prisoner.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                    }
                }
            );



//Henry (StD)
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Henry Stickmin (StD)",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "Life has been rough after breaking out of prison. Time to make some quick cash by stealing the Tunisian Diamond",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("HS3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Henry std.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                    }
                }
            );



//Henry (ItA)
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Henry Stickmin (ItA)",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "Captured by the government, he's been given the chance to clear his name by taking down the notorious Toppat Clan",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("HS6.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("ItA.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                    }
                }
            );



//Henry in the Power Armor (ItA)
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Android"),
                    NameOverride = "Henry Stickmin in the Power Armor (ItA)",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "Captured by the government, he's been given the chance to clear his name by taking down the notorious Toppat Clan",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("HS8.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("PA.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                        
                         //cosmetics
                        var head = Instance.transform.Find("Head");
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0,0.000001f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.5f, 0.5f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("PA shlem.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



//Henry (FtC)
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Henry Stickmin (FtC)",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "Back in jail, huh? The icy cold cells of The Wall will be hard to escape from",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("henry.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("mod henry.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                    }
                }
            );



//Henry (TT,SBO)
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Henry Stickmin (TT,SBO)",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "Henry in the 'Triple Threat' and 'Special BROvert Ops' endings",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("HS9.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Henry TT.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                    }
                }
            );



//Henry (VH)
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Henry Stickmin (VH)",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "Henry after collision with toppat station in the 'Valiant Hero' ending",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("HS10.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Henry VH.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                    }
                }
            );



//Henry (MBH)
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Henry Stickmin (MBH)",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "Henry in the 'Master Bounty Hunter' ending",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("HS11.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("HBH.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                    }
                }
            );



//Henry (Toppat Member)
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Henry Stickmin (Toppat Member)",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "Henry in the 'Toppat Recruits' ending",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("HS13.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("HTM.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                        //cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0,0.21f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.13f, 0.13f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("HTM hat.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



//Henry (Toppat Leader)
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Henry Stickmin (Toppat Leader)",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "Henry in the 'Toppat King' 'Toppat Civil Warfare' 'Toppat 4 Life' endings",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("HS14.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("HTL.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                        //cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0,0.21f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.13f, 0.13f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("HTH.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



//Henry Stickmin (Revenged)
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Android"),
                    NameOverride = "Henry Stickmin (Revenged)",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "Henry in the 'Revenged' ending",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("HS15.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("HSR.png");
                        var flesh = ModAPI.LoadTexture("HSF.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                                                {

                             var breath = new GameObject("breath");
                             breath.transform.SetParent(Instance.transform.Find("FrontArm").Find("LowerArmFront"));
                             breath.transform.localPosition = new Vector3(0, 0f);
                             breath.transform.localScale = new Vector3(1f, 1f);
                             var breathSprite = breath.AddComponent<SpriteRenderer>();
                             breathSprite.sprite = ModAPI.LoadSprite("HARM1.png"); 
                             breath.GetComponent<SpriteRenderer>().sortingLayerName = "Top";

                             var breat = new GameObject("breat");
                             breat.transform.SetParent(Instance.transform.Find("FrontArm").Find("UpperArmFront"));
                             breat.transform.localPosition = new Vector3(0, 0f);
                             breat.transform.localScale = new Vector3(1f, 1f);
                             var breatSprite = breat.AddComponent<SpriteRenderer>();
                             breatSprite.sprite = ModAPI.LoadSprite("HARM2.png"); 
                             breat.GetComponent<SpriteRenderer>().sortingLayerName = "Top";

                        }
                    }
                }
            );



//Mysterious Vagabond
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Mysterious Vagabond",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "A drifter who's come into town lately. Seems like he's not just passing through",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("MVV.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("MV.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
//cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("MV shlem.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



//Henry (Nano-Suit)
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Henry Stickmin (Nano-Suit)",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "Henry in Nano-Suit from the 'Free Man' ending",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("HS17.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Henry SS.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                    }
                }
            );



//Henry (space suit)
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Henry Stickmin (Space Suit)",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "Henry in the space suit.",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("HS18.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Henry cosmos.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                    }
                }
            );



            //Ellie Rose 
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Ellie Rose (FtC)",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "She locked up in The Wall too, but why...?",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("ell.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Ellie.png");
                        var flesh = ModAPI.LoadTexture("FemaleMuscles.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                        
                         //cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0, 0.00009f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.125f, 0.125f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("hair.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



            //Ellie Rose (CtM)
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Ellie Rose (CtM)",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "After escaping from The Wall things have really opened up. What is in store for her?",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("ER2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("ELLE.png");
                        var flesh = ModAPI.LoadTexture("FemaleMuscles.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                        
                         //cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0, 0.00009f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.125f, 0.125f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("hair.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



            //Ellie Rose (TT)
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Ellie Rose (TT)",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "Ellie in the 'Triple Threat' ending",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("ER3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("ELLE TT.png");
                        var flesh = ModAPI.LoadTexture("FemaleMuscles.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                        
                         //cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0, 0.00009f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.125f, 0.125f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("hair.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



            //Ellie Rose (Toppat Member)
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Ellie Rose (Toppat Member)",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "Ellie in the 'Toppat Recruits' 'Toppat King' endings",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("ER4.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Ellie TM.png");
                        var flesh = ModAPI.LoadTexture("FemaleMuscles.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                        
                         //cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0, 0.0000009f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.125f, 0.125f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("Ellie hat.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



            //Ellie Rose (Toppat Leader)
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Ellie Rose (Toppat Leader)",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "Ellie in the 'Toppat Civil Warfare' ending",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("ER5.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Ellie leader.png");
                        var flesh = ModAPI.LoadTexture("FemaleMuscles.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                        
                         //cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0, 0.00009f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.125f, 0.125f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("Ellie L hat.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



//Winston Davis
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Winston Davis",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "He always rides shotgun in the bank truck. He prefers looking at the scenery, rather than focusing on the road",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("wd.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("winst.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
//cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0,0.155f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("inc.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



//Ted McAdams
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Ted McAdams",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "The driver of the Bank truck. He and Winston have been partners for many years. Ted has always been the driver",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("tm.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("ted.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
//cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0,0.155f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("inc.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



//Cop
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Policeman",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "Police officer from West Mesa Penitentiary ",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("cp.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("cop.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
//cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0,0.155f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("cop cap.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



//Rupert Price (policeman)
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Rupert Price (policeman)",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "He joined the police academy right out of high school",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("rpp.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("rp.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
//cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0,0.041f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.5f,0.5f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("rc.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



//Captain Ed Roberts
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Captain Ed Roberts",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "The chief of police at Red Mesa. He runs a tight ship and expects the best from all his cadets",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("cp2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("ed.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
//cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0,0.155f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("ed cap.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



//Security guard
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Security guard",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "Museum night guard",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("G1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("dvs.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
//cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0,0.155f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("Sfur.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



//Dave Panpa (security guard)
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Dave Panpa (security guard)",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "He was fired from his previous job for negligence. He bounced back quickly though and found a new job as a security guard",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("G2 .png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("dvs.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
//cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0,0.155f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("Scap.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



//CCC employee
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "CCC employee",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "Employee of the Center for Chaos Containment",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("cccw.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("ccc.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
//cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0,0.155f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("ccc cap.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



//CCC employee with headset
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "CCC employee with headset",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "Employee of the Center for Chaos Containment",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("cccn.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("ccc.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
//cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0,0.07f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.5f, 0.5f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("cap g.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



//Corporal Bill Bullet
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Corporal Bill Bullet",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "Center for Chaos Containment Director",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("cbb.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("d ccc.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                    }
                }
            );



             //Dmitri Johannes Petrov
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Dmitri Johannes Petrov",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "The Warden of The Wall. There hasn't been any sort of breakout in the 50 years he's been in charge.",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("dimka.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("DIMA.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
            //cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0,0.00001f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("usi.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



             //Grigori Olyat
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Grigori Olyat",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "The Warden's second in command and main muscle. He gets brought in for the difficult jobs ",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("grigori.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("mod grigori.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                    }
                }
            );



//The Wall Guard (cap)
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "The Wall Security Guard (cap)",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "Security guard of the 'Wall' complex",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("guard2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("mod the wall guard.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
//cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0,0.155f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("capp.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



//The Wall Guard (Ushanka)
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "The Wall Security Guard (ushanka)",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "Security guard of the 'Wall' complex",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("guard1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("TWGU.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
//cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0,0.167f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("Ushanka.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



//The Wall Guard
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "The Wall Security Guard",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "Security guard of the 'Wall' complex",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("guard.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("TWGU.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                    }
                }
            );



 //Charles
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Charles Calvin",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "A veteran helicopter pilot for the government. He's one of the youngest and most experienced pilots",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("charles.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Charles (fixed).png");
                        var flesh = ModAPI.LoadTexture("HumanFlesh.png");
                        var bone = ModAPI.LoadTexture("HumanSkeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                    }
                }
            );



 //Charles (VH)
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Charles Calvin (Valiant Hero)",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "This is the greatest plan...",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("charli.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Valiant Hero.png");
                        var flesh = ModAPI.LoadTexture("HumanFlesh.png");
                        var bone = ModAPI.LoadTexture("HumanSkeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                    }
                }
            );



//Captain
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Captain Hubert Galeforce",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "The man in charge of the undercover Toppat raid. It was his idea to recruit Henry",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("mcp.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("gf.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
//cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0,0.007f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("cap cap.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



//General
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "General Hubert Galeforce",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "The results of the Airship raid seem to have led to a large promotion. He's now a specialist in dealing with the Toppats",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("gal.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("general.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
//cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0,0.007f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("gen.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



//Rupert Price (government)
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Rupert Price (soldier)",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "He's moved up through the ranks quickly. He felt he could do more in the military than he was as a policeman",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("rup.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Officer.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
//cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0,0.040f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.5f, 0.5f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("rupert cap.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



//Victoria
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Victoria Grit",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "One of the strongest capitans in the toppat raid",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("vic.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Victoria.png");
                        var flesh = ModAPI.LoadTexture("FemaleMuscles.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                        
                         //cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0,0.1f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("vic hat.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



//government officer
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Government officer",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "Military government officer",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("off.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Officer.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
//cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0,0.155f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("gov cap.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



//government soldier
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Government soldier",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "Military government soldier",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("sold.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("soldier.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
//cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0,0.12f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("shlem.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



//government pilot
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Government pilot",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "Military government pilot",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("pil.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("pilot.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
//cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0,0.0143f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("pilot shlem.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



//Reginald Copperbottom (Toppat Leader)
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Reginald Copperbottom (Toppat Leader)",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "The current leader of the Toppat Clan. He wears the hat of the previously dethroned leader.",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("RCV.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("RCL.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone,8);

//cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0,0.245f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.0313f,0.0313f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("RCTP.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



//Reginald Copperbottom (Toppat Member)
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Reginald Copperbottom (Toppat Member)",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "Seems he's been managing the Toppats in Henry's absence. He'll have to go back to being second soon.",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("RCV2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("reg.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

//cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0,0.2f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.0313f,0.0313f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("R hat.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



//Right Hand Man
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Right Hand Man",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "He's the Toppat chief's Right Hand. Nobody knows his true name. His extreme loyalty is what a Toppat member should strive for.",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("RHMV.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("RHM.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
//cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0,0.0573f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.125f, 0.125f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("us.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



//Right Hand Man Reborn
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Android"),
                    NameOverride = "Right Hand Man Reborn",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "His defeat by Henry left him in bad shape. Cybernetic surgery brought him back, stronger than ever before.",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("RHMRV.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("RHMR.png");
                        var flesh = ModAPI.LoadTexture("RHM flesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone,16);
                        {
                             
                             var breath = new GameObject("breath");
                             breath.transform.SetParent(Instance.transform.Find("FrontArm").Find("LowerArmFront"));
                             breath.transform.localPosition = new Vector3(0, 0f);
                             breath.transform.localScale = new Vector3(1f, 1f);
                             var breathSprite = breath.AddComponent<SpriteRenderer>();
                             breathSprite.sprite = ModAPI.LoadSprite("RHM ARM.png"); 
                             breath.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
//cosmetics
                        var head = Instance.transform.Find("Head");
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0,0.0573f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.125f, 0.125f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("us.png");
                        childSprite.sortingLayerName = "Top";
                        }
                    }
                }
            );



//Sven Svensson
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Sven Svensson",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "He took over leadership when the previous leader and right hand man went missing.",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("SSV.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("SVS.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
//cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0,0.15f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(1f,1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("SV hat.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



//Mr. Macbeth
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Mr. Macbeth",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "He's often been compared to an Ape, which he takes as a compliment. He hates it when people don't take him seriously.",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("MRMV.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("MrM.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
//cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0,0.22f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.0313f,0.0313f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("MC hat.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



//Carol Cross
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Carol Cross",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "One of the higher-ups in the clan. She is extremely strict and by the books. You don't want to cross her.",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("CCV.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Carol.png");
                        var flesh = ModAPI.LoadTexture("FemaleMuscles.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                        
                         //cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0,0.05f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.5f, 0.5f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("CC hair.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



//Thomas Chestershire
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Thomas Chestershire",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "Thomas wears two monocles for twice the class and enjoy Henry's brief leadership. He preferred it when Henry was leader of the Toppat Clan.",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("TMV.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("TMC.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

//cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0,0.00001f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.0313f,0.0313f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("T hat.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



//Geoffrey Plumb
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Geoffrey Plumb",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "Geoffrey abnormally large head makes it difficult for him to see. He's always been an ideas guy. His head is just big though, it's not because of an extra large brain.",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("GPV.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("JFP.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone,2);

//cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0,0.00001f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.0313f,0.0313f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("JP hat.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



//Wilhelm Krieghaus
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Wilhelm Krieghaus",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "He's been a Toppat member for over 40 years. His English has improved throughout the years, but he still has an accent",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("WKV.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("WK.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

//cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0,0.2f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("WK hat.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



//Handsome Harold
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Handsome Harold",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "He considers himself the face of the Toppats. With 18 CHA he's good at talking his way out of a bad situation. He's in charge of keeping the Toppat's collection of information organized.",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("HHV.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("HH.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

//cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0,0.26f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.0313f,0.0313f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("HH hat.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



//Slice
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Slice",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "Took a blade to the face during an encounter. Now, he prefers to stay behind the scenes.",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("SLV.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("SL.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

//cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0,0.2463f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.0313f,0.0313f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("SL hat.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



//Sammy Sorry
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Sammy Sorry",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "He refuses to ever apologize for anything, on principle.",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("SMSV.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("TPM.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
//cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0,0.22f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(1f,1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("Tp.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );


//Quickdraw
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Quickdraw",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "One of the fastest shooters in the Toppat Clan. His accuracy is not so good though.",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("QKV.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("TC.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
//cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0,0.2f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.0313f,0.0313f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("QD hat.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );


//Fredrick Muenster
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Fredrick Muenster",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "His hat is literally made of cheese. Nobody will bunk with him. All part of the plan.",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("FMV.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("FM.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
//cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0,0.22f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("FM hat.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



//Wallace Dagwood
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Wallace Dagwood",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "He used to be in the frontlines, but took a bad hit to the face. He's been running more of a support role since.",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("WLDV.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("WLD.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

//cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0,0.2f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.0313f,0.0313f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("WLD hat.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



//The Leprechaun
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "The Leprechaun",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "He totally embraces his appearance. He's even adopted a terrible fake Irish accent to complete the ensemble.",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("LV.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Lep.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
//cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0,0.07f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.5f,0.5f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("L hat.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



//The Witch
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "The Witch",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "The Toppat clan's main herbalist. She totally embraced her nickname so she can be rather odd.",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("WV.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Witch.png");
                        var flesh = ModAPI.LoadTexture("FemaleMuscles.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                        
                         //cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0, 0.119f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.0313f,0.0313f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("W hat.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



//Earrings
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Earrings",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "Her earrings function for battle purposes besides looks. They can blind people with a bright flash.",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("EV.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("ER.png");
                        var flesh = ModAPI.LoadTexture("FemaleMuscles.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                        
                         //cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0, 0.00001f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f,0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("ER hat.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



//Burt Curtis
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Burt Curtis",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "The head of communications of the Toppat Clan. He's the liason between the leaders and the rest of the recon team.",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("BCV.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("TTT.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

//cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0,0.00001f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(1f,1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("BC hat.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



//Kayn West
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Kayn West",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "He was in the music production business, but one plagiarism accusation later, he gave up and joined the Toppats.",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("KWV.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("KW.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
//cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0,0.2f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.0313f,0.0313f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("KW hat.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



//Thomas Chipz
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Thomas Chipz",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "His father, Alan, is the co-founder of the Electronics Entertainment Expo.",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("TCV.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("TC.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
//cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0,0.21f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.0313f, 0.0313f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("TC hat.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



//Filbert Philbert
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Filbert Philbert",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "He's part of the check point inspection team, but he really wanted to just sit on the train.",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("FPV.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("FP.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

//cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0,0.2f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.0313f,0.0313f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("FP hat.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



//Jack Doogan
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Jack Doogan",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "A sniper from New Zealand. He was specifically recruited by the Toppat Clan in an Avengers-esque end credits scene.",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("JDV.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("JD.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
//cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0,0.19f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(1f,1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("JD hat.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



//Sal Malone
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Sal Malone",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "He used to be in the mafia but wanted to branch out because he felt there were already too many Italians",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("SMV.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("SaM.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

//cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0,0.21f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("SM hat.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



//Jacked Hughman
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Jacked Hughman",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "An up and coming member in the Toppat clan. He has yet to make a name for himself",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("JHV.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("JH.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

//cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0,0.186f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("JH hat.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



//Harold Ronson
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Harold Ronson (janitor)",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "He works as the prison's janitor, but he also enjoys doing their maintenance work",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("jt.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("jan.png");
                        var flesh = ModAPI.LoadTexture("skinflesh.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
//cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0,0.004f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("j cap.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



//Dr. Vinschpinsilstien
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Dr. Vinschpinsilstien",
                    NameToOrderByOverride = "Human2",
                    DescriptionOverride = "A solo practitioner that specializes in cybernetic surgery. She travels the world in her boat, which doubles as her workstation.",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("DVV.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Dr.png");
                        var flesh = ModAPI.LoadTexture("FemaleMuscles.png");
                        var bone = ModAPI.LoadTexture("skinskeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                        
                         //cosmetics
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0, 0.016f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("Dr hair.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );



			ModAPI.Register(
				new Modification()
				{
                    OriginalItem = ModAPI.FindSpawnable("Glock 17"),
                    NameOverride = "Makarov",
                    NameToOrderByOverride = "i",
                    DescriptionOverride = "In The Wall, all the members carry a Makarov as their standard arm.",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("MakarovV.png"),
                    AfterSpawn = (Instance) =>
                    {
                        ModAPI.KeepExtraObjects();

                        var MakarovSlide = Instance.transform.Find("Slide");
                        MakarovSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("MakarovSlide.png");

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Makarov.png");
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders();
                        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;

                        var firearm = Instance.GetComponent<FirearmBehaviour>();

                        firearm.ShotSounds = new AudioClip[]
                        {
                              ModAPI.LoadSound("Makarov.mp3"),
                        };

                        Cartridge customCartridge = ModAPI.FindCartridge("9x18mm");
                        customCartridge.name = "Makarov";
                        customCartridge.Damage = 3f;
                        customCartridge.Recoil = 0.2f;
                        customCartridge.ImpactForce = 0.1f;
                        firearm.Cartridge = customCartridge;
		    }
                }
            );



			ModAPI.Register(
				new Modification()
				{
                    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                    NameOverride = "Mosin-Nagant",
                    NameToOrderByOverride = "i",
                    DescriptionOverride = "It's a Russian Bolt action sniper rifle produced from 1882 to 1981. It is one of the most produced Bolt action rifle in history and it appears in Completing the Mission.",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("MNGV.png"),
                    AfterSpawn = (Instance) =>
                    {
                        ModAPI.KeepExtraObjects();

                        var SVDSlide = Instance.transform.Find("Slide");
                        SVDSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("MNGS");

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("MNG.png");
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.79f, 0.06f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders();
                        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;
                        Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0f;

                        var firearm = Instance.GetComponent<FirearmBehaviour>();

                        firearm.ShotSounds = new AudioClip[]
                        {
                ModAPI.LoadSound("Sounds/SVD.mp3"),
                        };

                        Cartridge customCartridge = ModAPI.FindCartridge("7.62x54mm");
                        customCartridge.name = "SVD";
                        customCartridge.Damage = 35f;
                        customCartridge.Recoil = 0.2f;
                        customCartridge.ImpactForce = 0.3f;
                        firearm.Cartridge = customCartridge;
		    }
                }
            );



ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Blaster Rifle"),
                    NameOverride = "Mr. Macbeth Gun",
                    NameToOrderByOverride = "i",
                    DescriptionOverride = "This gun is an AR-15 style rifle with a flat top, and an underbarrel laser gun in place of the magazine and attached to the trigger.",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("MRMGV.png"),

                    AfterSpawn = (Instance) =>
                    {
                        /**/
                        
                        //get rid of yellow light thingys
                        
                        UnityEngine.Object.Destroy(Instance.transform.GetChild(0).gameObject);
                        UnityEngine.Object.Destroy(Instance.transform.GetChild(1).gameObject);
                        UnityEngine.Object.Destroy(Instance.transform.GetChild(2).gameObject);
                        UnityEngine.Object.Destroy(Instance.transform.GetChild(3).gameObject);
                        UnityEngine.Object.Destroy(Instance.transform.GetChild(4).gameObject);
                        UnityEngine.Object.Destroy(Instance.transform.GetChild(5).gameObject);
                        UnityEngine.Object.Destroy(Instance.transform.GetChild(6).gameObject);
                        UnityEngine.Object.Destroy(Instance.transform.GetChild(7).gameObject);
                                       

                        var firearm = Instance.GetComponent<BlasterBehaviour>();

                        firearm.Interval = 0.20f;
                       
                        

                        firearm.Clips = new AudioClip[]
                        {
                            ModAPI.LoadSound("lazer.mp3")
                            
                        };
                        
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("MRMG.png");
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.1f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.2f;
                        Instance.FixColliders();                             

                    }
                }
            );



            ModAPI.Register(
new Modification()
{
    OriginalItem = ModAPI.FindSpawnable("Brick"),
    NameOverride = "Top hat",
    NameToOrderByOverride = "j",
    DescriptionOverride = "Toppat Clan",
    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
    ThumbnailOverride = ModAPI.LoadSprite("TPHV.png"),
    AfterSpawn = (Instance) =>
    {
        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Tp.png");
        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";

        foreach (var ColliderBoxDeleteVar in Instance.GetComponents<Collider2D>())
        {
            GameObject.Destroy(ColliderBoxDeleteVar);
        }
        Instance.FixColliders();
        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.3f;
        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.3f;
        var phys = Instance.GetComponent<PhysicalBehaviour>();
        phys.Properties = ModAPI.FindPhysicalProperties("Plastic");
    }
}
);



            ModAPI.Register(
new Modification()
{
    OriginalItem = ModAPI.FindSpawnable("Brick"),
    NameOverride = "Henry's Top hat",
    NameToOrderByOverride = "j",
    DescriptionOverride = "Toppat Clan",
    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
    ThumbnailOverride = ModAPI.LoadSprite("HTPHV.png"),
    AfterSpawn = (Instance) =>
    {
        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("HTH.png");
        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";

        foreach (var ColliderBoxDeleteVar in Instance.GetComponents<Collider2D>())
        {
            GameObject.Destroy(ColliderBoxDeleteVar);
        }
        Instance.FixColliders();
        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.3f;
        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.3f;
        Instance.transform.localScale = new Vector2(0.13f,0.13f);
        var phys = Instance.GetComponent<PhysicalBehaviour>();
        phys.Properties = ModAPI.FindPhysicalProperties("Plastic");
    }
}
);



            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Baseball Bat"),
                    NameOverride = "Teleporter",
                    NameToOrderByOverride = "j",
                    DescriptionOverride = "The Teleporter is a device that Henry Stickmin uses in all of his games.",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("TLPV.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.3f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.3f;
                        Instance.transform.localScale = new Vector2(0.5f,0.5f);
                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Metal");
                        Instance.AddComponent<RandomSpriteBehaviour>().sprites = new Sprite[]
{
                        ModAPI.LoadSprite("TLP.png"),
                        ModAPI.LoadSprite("TLP.png"),
};
                    }
                }
            );



           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Strange Package", 
                    NameToOrderByOverride = "j",
                    DescriptionOverride = "'Oh, a package, huh?'",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("SPV.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Package.png");
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 8f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 8f;
                        Instance.transform.localScale = new Vector2(0.125f,0.125f);
                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Plastic");
                    }
                }
            );



            //Tunisian Diamond
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Metal Pyramid"),
                    NameOverride = "Tunisian Diamond",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "The Tunisian Diamond is a jewel, the main attraction of it's archaeological exhibit. It was found in Tunisia and exhibited in the National Museum of History and Culture.",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("TDV.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("TD.png");

                        Instance.FixColliders();
                        Instance.transform.localScale = new Vector2(0.5f,0.5f);
                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Glass");
					}
				}

				);



 //Romanian Ruby
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Metal Cube"),
                    NameOverride = "Romanian Ruby",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "The Romanian Ruby is a giant ruby, and one of the treasures that the Toppat Clan.",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("RRV.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("RR.png");

                        Instance.FixColliders();
                        Instance.transform.localScale = new Vector2(0.5f,0.5f);
                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Glass");
					}
				}

				);



//Norwegian Emerald
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Metal Cube"),
                    NameOverride = "Norwegian Emerald",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "The Norwegian Emerald is a gigantic emerald kept in the vault of the Toppat Orbital Station. It was stolen by the Toppat Clan from the Norway's chambers.",
                    CategoryOverride = ModAPI.FindCategory("The Henry Stickmin Collection"),
                    ThumbnailOverride = ModAPI.LoadSprite("NEV.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NE.png");

                        Instance.FixColliders();
                        Instance.transform.localScale = new Vector2(0.5f,0.5f);
                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Glass");
					}
				}

				);



        }
    }
}